org.apache.poi.hemf.record.emf

## Class HemfDraw.EmfPolygon16

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon
  - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolygon
    - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolygon16

- All Implemented Interfaces:
    GenericRecord, HemfRecord, HwmfRecord
  Enclosing class:
    HemfDraw

      public static class HemfDraw.EmfPolygon16
      extends HemfDraw.EmfPolygon

  The EMR_POLYGON16 record specifies a polygon consisting of two or more vertexes connected by straight lines. The polygon is outlined by using the current pen and filled by using the current brush and polygon fill mode. The polygon is closed automatically by drawing a line from the last vertex to the first

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon

      `poly`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfPolygon16()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HemfRecordType` | `getEmfRecordType()`
    `protected long` | `readPoint(LittleEndianInputStream leis, java.awt.geom.Point2D point)`

    - ### Methods inherited from class org.apache.poi.hemf.record.emf.HemfDraw.EmfPolygon

      `draw, getBounds, getFillDrawStyle, getGenericProperties, getGenericRecordType, hasStartPoint, init`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon

      `draw, getPoly, getWmfRecordType, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emf.HemfRecord

      `setHeader`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### EmfPolygon16

          public EmfPolygon16()

  - ### Method Detail

    - #### getEmfRecordType

          public HemfRecordType getEmfRecordType()

      Specified by:
        `getEmfRecordType` in interface `HemfRecord`
      Overrides:
        `getEmfRecordType` in class `HemfDraw.EmfPolygon`

    - #### readPoint

          protected long readPoint(LittleEndianInputStream leis,
                                   java.awt.geom.Point2D point)

      Overrides:
        `readPoint` in class `HemfDraw.EmfPolygon`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.